Subject: bug#14376: 24.3; comment-search-forward in SQL-mode raises an error

From: Andreas Röhler <[email-masked]>
Date: Wed, 15 May 2013 21:22:42 +0200

Am 14.05.2013 15:52, schrieb Kevin Rodgers:
> On 5/11/13 2:56 AM, Andreas Röhler wrote:
>> Am 10.05.2013 22:00, schrieb Stefan Monnier:
>> [ ... ]
>>> ;; Prior to calling any `comment-*' function, you should ensure that
>>> ;; `comment-normalize-vars' is first called to set up the appropriate
>>> ;; variables; except for the `comment-*' commands, which call
>>> ;; `comment-normalize-vars' automatically as a subroutine.
>>>
>>
>> That's nice for people having no other business than playing with Emacs.
>> It's not the computations state of art.
>>
>> While accepting some people are addicted to that way of living ;)
>
> Such as OP, who does M-: (comment-search-forward (point-max) t) RET
>

hmm?

BTW get this error with sql-mode only, but not with emacs-lisp or even text-mode